org.apache.hadoop.yarn.server.api.protocolrecords

## Class NodeToAttributes

- java.lang.Object
- - org.apache.hadoop.yarn.server.api.protocolrecords.NodeToAttributes

-     @InterfaceAudience.Public
       @InterfaceStability.Unstable
      public abstract class NodeToAttributes
      extends Object

  Represents a mapping of Node id to list of attributes.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NodeToAttributes()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getNode()`
    `abstract List<NodeAttribute>` | `getNodeAttributes()`
    `static NodeToAttributes` | `newInstance(String node, List<NodeAttribute> attributes)`
    `abstract void` | `setNode(String node)`
    `abstract void` | `setNodeAttributes(List<NodeAttribute> attributes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NodeToAttributes

          public NodeToAttributes()

  - ### Method Detail

    - #### newInstance

          public static NodeToAttributes newInstance(String node,
                                                     List<NodeAttribute> attributes)

    - #### getNode

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract String getNode()

    - #### setNode

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setNode(String node)

    - #### getNodeAttributes

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract List<NodeAttribute> getNodeAttributes()

    - #### setNodeAttributes

          @InterfaceAudience.Public
           @InterfaceStability.Unstable
          public abstract void setNodeAttributes(List<NodeAttribute> attributes)

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.